Subject: Re: [PATCH 0/5] gitweb: Some code cleanups (up to perlcritic --stern)

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 May 2009 09:19:59 +0200

On Mon, 11 May 2009, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes: 
>> On Mon, 11 May 2009, Junio C Hamano wrote:
>>
>>> But this series, when queued to 'pu', seems to break t9500; I haven't
>>> looked at the breakage myself yet.
>>
>> I'm sorry about that. My bad. The fix is in the email (unless you
>> prefer for me to just resend the series)...
> 
> That's Ok.  I had them near the tip of 'pu', and I can just replace them.
> 
> But this episode does not give much confidence in Perl::Critic does it?
> The runtime "use strict" diagnosed undeclared globals in the cleaned up
> code, but presumably the Critic did not complain anything about it, right?

Well, IIRC it didn't complain because I didn't run Perl::Critic (or to
be more exact http://perlcritic.com) on cleaned up code... But I guess
that Perl::Critic might not try to catch them because 'use strict'
catches them.

P.S. Of course Perl::Critic is not perfect. Most funny quirk was it
complaining in --harsh (severity 3) mode 
  Main code has high complexity score (54) at line 1, column 1.
  Consider refactoring.  Severity: 3
about "#!/usr/bin/perl" line!

-- 
Jakub Narebski
Poland